use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::AmazonPayments::Hooks::Attribute;
use DE_EPAGES::ThirdPartyConfig::API::Constants qw (ATTRIBUTES_CATEGORY_PAYMENT);
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use Test::More;

sub Main {
    RunOnStore(
        'Store' => GetTestSite(),
        'Sub'   => sub {
            DE_EPAGES::AmazonPayments::Hooks::Attribute::OnGetThirdPartyConfigAttributes({
                AttributesCategory => ATTRIBUTES_CATEGORY_PAYMENT,
                LanguageID => 1,
            });
            pass('code passes');
        }
    )
}

RunScript( Sub => \&Main, Debug => 1 );
done_testing();

1;