use Test::More tests => 1;
use Test::MockObject;
use DE_EPAGES::AmazonPayments::API::Resource::AuthorizationNotification;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use DE_EPAGES::Test::Mock::EpagesObject;
use strict;

RunScript( Message => 'long', Sub => sub {
    # Needs RunOnStore for it triggers a hook intTest?
    RunOnStore(
        'Store' => GetTestSite(),
        'Sub'   => sub {

        my $MockLineItem = DE_EPAGES::Test::Mock::EpagesObject->new('My::LineItemPaymentAmazonPayments', {
            Alias => 'MockLineItem',
            AuthCode => 'S02-3029547-9718378',
            TransStatus => "AuthorizationPending",
        });

        my $MockShop = Test::MockObject->new;
        $MockShop->mock('loadObjectByGuid', sub {
            return $MockLineItem;
        });

        DE_EPAGES::AmazonPayments::API::Resource::AuthorizationNotification->post($MockShop, {
            'authorizationId' => $MockLineItem->get('AuthCode'),
            'authorizationReferenceId' => '5C3D108F376A42F6AB0174B34E195F5C',
            'creationTimestamp' => '2014-07-31T16:41:00Z',
            'authorizationStatus' => {
                'state' => 'Declined'
            },
            'authorizationAmount' => {
                'currency' => 'EUR',
                'amount' => '99.99'
            }
        });

        is( $MockLineItem->get('TransStatus'), 'AuthorizationDeclined', 'TransStatus' );
    });
});
