use Test::More tests => 4;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::AmazonPayments::API::DTO::AuthorizationDetails;
use strict;

RunScript( Message => 'long', Sub => sub {

    my $x = DE_EPAGES::AmazonPayments::API::DTO::AuthorizationDetails->new({
        'authorizationId' => 'S02-3029547-9718378',
        'authorizationReferenceId' => '5C3D108F376A42F6AB0174B34E195F5C',
        'creationTimestamp' => '2014-07-31T16:41:00Z',
        'authorizationStatus' => {
            'state' => 'Open'
        },
        'authorizationAmount' => {
            'currency' => 'EUR',
            'amount' => '99.99'
        }
    });

    is( $x->authorizationStatus, 'Open', 'authorizationStatus' );
    is( $x->transStatus, 'AuthorizationOpen', 'transStatus' );
    is( $x->lineItemGUID, '5C3D108F-376A-42F6-AB01-74B34E195F5C', 'lineItemGUID' );
    is( DE_EPAGES::AmazonPayments::API::DTO::AuthorizationDetails->guidToReferenceId('5C3D108F-376A-42F6-AB01-74B34E195F5C'),
        '5C3D108F376A42F6AB0174B34E195F5C', 'guidToReferenceId');
});
