use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::AmazonPayments::API::DTO::OrderReferenceInfo;
use DE_EPAGES::AmazonPayments::API::DTO::AddressInfo;
use Test::More;

sub Main {
    # tests
    my $x = DE_EPAGES::AmazonPayments::API::DTO::OrderReferenceInfo->new( {
            'id'      => 'S02-1515829-1300014',
            'status'  => { 'state' => 'Draft' },
            'address' => {
                'firstName'     => 'Max',
                'lastName'      => 'Mustermann',
                'addressLine1'  => 'A',
                'addressLine2'  => 'B',
                'addressLine3'  => 'C',
                'city'          => 'London',
                'county'        => 'Middlesex',
                'district'      => 'D',
                'stateOrRegion' => 'E',
                'postalCode'    => 'SE1 2BY',
                'countryCode'   => 'GB',
                'phone'         => '1234567890'
            },
            'createdOn'   => '2014-07-26T21:32:52.335Z',
            'constraints' => [''],
        }
    );
    is( $x->id, 'S02-1515829-1300014', 'id' );
    is( $x->address->firstName, 'Max', 'firstname' );
    is( $x->address->postalCode, 'SE1 2BY', 'postalCode' );
    done_testing();
}

RunScript( Sub => \&Main );

1;
